Bug 103984 - FILEOPEN: DOCX: Bubble not displayed in chart
Summary: FILEOPEN: DOCX: Bubble not displayed in chart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: All All
: medium normal
Assignee: Dennis Francis
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1 target:5.3.6
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2016-11-17 12:19 UTC by Xisco Faulí
Modified: 2017-07-25 15:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bubble_docx compare MSO LO.png (67.05 KB, image/png)
2017-05-04 15:39 UTC, Timur
Details
bubble_docx compare MSO LO + fix.png (169.03 KB, image/png)
2017-07-25 15:38 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-17 12:19:55 UTC
1. Open attachment 92272 [details]

Observed behaviour: Chart is empty

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-17 12:21:06 UTC
Regression introduced by:

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-07-02 13:53:54 (GMT)
committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-07-03 00:56:31 (GMT)
commit	6c4e21a234f12e1310ba06f9859e08b424acf8bf (patch)
tree	043739400b16c923a30b45e5bc1eff4490ee410f
parent	5e2b7e37a29edf45f829ccee2302a942b54568a1 (diff)

bnc#812796: Correctly handle static value array for OOXML charts.
We need to pass the role of the data sequence in order to avoid unreliable
guess work when importing static value array.

Also, not all Excel's scatter plots have real numeric X values; some have
textural X values in which case Excel switch to generating 1, 2, 3, ... as
X values.  When importing to our chart implementation, using "categories" role
in such cases instead of "values-x" results in a more faithful chart rendering.

Adding Cc: to Kohei Yoshida
Comment 2 Xisco Faulí 2016-11-17 12:26:20 UTC
it seems before 6c4e21a234f12e1310ba06f9859e08b424acf8bf the bubble were displayed but not in the correct position. This regression started at this point:

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-06-09 18:32:53 (GMT)
committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-06-10 14:02:25 (GMT)
commit	c5539bb585370f095cb6c09e38a7dd005d237295 (patch)
tree	6900b98a72398334c04eddc40856799748f429fa
parent	178550923533b7c015e29d957a2fc3857ba73eb3 (diff)

fdo#79676: Initialize with a default chart only from the UI.
When creating an embedded chart object during import, we don't want to
create a default chart which would only mess up the chart data.

With this change, ChartModel::initNew() is a no-op.
Comment 3 Timur 2017-05-04 15:39:05 UTC
Created attachment 133076 [details]
bubble_docx compare MSO LO.png
Comment 4 Commit Notification 2017-07-23 19:23:31 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0bdbd099bb52ae687196e06561e03c5c4d9c90eb

tdf#103984 : For bubble charts append data column...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-23 20:45:13 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19c6f02868bb7ce8ebfbe1c44bc214b4caa604f5&h=libreoffice-5-4

tdf#103984 : For bubble charts append data column...

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-23 20:45:21 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34845eca8a6965ef887f180baeffa3af2215c541&h=libreoffice-5-3

tdf#103984 : For bubble charts append data column...

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2017-07-25 15:38:06 UTC
Created attachment 134840 [details]
bubble_docx compare MSO LO + fix.png

MSO (XY Scatter - Bubble with Data Labels) and LO (with fix) opens this file similarly but somewhat differently. 
MSO numbers near bubbles can be customized. Initially they show Y-values instead of size i.e. Data Labels are Y Value. LO shows those numbers as size and Data Lables cannot be customized. 
MSO shows line "Power (Y-values)" and LO doesn't. I don't see what that is and how we add it in MSO. 
All in all, looks fixed.